<?xml version="1.0" encoding="utf-8"?>
<navigation xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:id="@+id/nav_register"
    app:startDestination="@id/registerEmailFragment">
    <fragment
        android:id="@+id/registerEmailFragment"
        android:name="ru.perevozka24.perevozka24.ui.auth.register.step1.RegisterEmailFragment"
        android:label="@string/auth.registration.title">
        <action
            android:id="@+id/action_registerEmailFragment_to_registerPhoneFragment"
            app:destination="@id/registerPhoneFragment"
            app:launchSingleTop="true"
            app:popUpToInclusive="true" />
        <action
            android:id="@+id/action_registerEmailFragment_to_emailRegisterFragment"
            app:destination="@id/emailRegisterFragment" />
    </fragment>
    <fragment
        android:id="@+id/registerPhoneFragment"
        android:name="ru.perevozka24.perevozka24.ui.auth.register.step1.RegisterPhoneFragment"
        android:label="@string/auth.registration.title">
        <action
            android:id="@+id/action_registerPhoneFragment_to_registerEmailFragment"
            app:destination="@id/registerEmailFragment"
            app:launchSingleTop="true"
            app:popUpToInclusive="true" />
        <action
            android:id="@+id/action_registerPhoneFragment_to_phoneRegisterFragment"
            app:destination="@id/phoneRegisterFragment" />
    </fragment>
    <fragment
        android:id="@+id/phoneRegisterFragment"
        android:name="ru.perevozka24.perevozka24.ui.auth.register.step2.PhoneRegisterFragment"
        android:label="@string/auth.registration.title">
        <argument
            android:name="contact"
            app:argType="string" />
    </fragment>
    <fragment
        android:id="@+id/emailRegisterFragment"
        android:name="ru.perevozka24.perevozka24.ui.auth.register.step2.EmailRegisterFragment"
        android:label="@string/auth.registration.title">
        <argument
            android:name="contact"
            app:argType="string" />
    </fragment>

</navigation>
